Bug 970515 - Review Request: hawtdb - A Powerful Key/Value Store
Review Request: hawtdb - A Powerful Key/Value Store
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Douglas Schilling Landgraf
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 968136
  Show dependency treegraph
 
Reported: 2013-06-04 04:35 EDT by gil cattaneo
Modified: 2013-06-29 14:12 EDT (History)
3 users (show)

See Also:
Fixed In Version: hawtdb-1.6-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-19 00:34:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dougsland: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2013-06-04 04:35:19 EDT
Spec URL: http://gil.fedorapeople.org/hawtdb.spec
SRPM URL: http://gil.fedorapeople.org/hawtdb-1.6-1.fc18.src.rpm
Description: HawtDB is an embedded MVCC Key/Value Database.
Fedora Account System Username: gil

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=5463971
Comment 1 Douglas Schilling Landgraf 2013-06-06 21:56:22 EDT
Hi Gil,

(In reply to gil cattaneo from comment #0)
> Spec URL: http://gil.fedorapeople.org/hawtdb.spec
> SRPM URL: http://gil.fedorapeople.org/hawtdb-1.6-1.fc18.src.rpm
> Description: HawtDB is an embedded MVCC Key/Value Database.
> Fedora Account System Username: gil
> 
> Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=5463971

I think you need: jpackage-utils
Can you please verify?
http://fedoraproject.org/wiki/Packaging:Java#BuildRequires_and_Requires

Thanks
Douglas
Comment 2 gil cattaneo 2013-06-07 02:00:16 EDT
hi Douglas,
see http://fedoraproject.org/wiki/Packaging:Java#Apache_Maven_2
Maven packages do not need to (Build)Require jpackage-utils. It is
pulled in by maven-local.
regards
Comment 3 Douglas Schilling Landgraf 2013-06-07 19:10:42 EDT
(In reply to gil cattaneo from comment #2)
> hi Douglas,
> see http://fedoraproject.org/wiki/Packaging:Java#Apache_Maven_2
> Maven packages do not need to (Build)Require jpackage-utils. It is
> pulled in by maven-local.
> regards

Make sense. Thanks
Comment 4 Douglas Schilling Landgraf 2013-06-07 19:24:41 EDT
Review manually + fedora-review version 0.4.1 b2e211f

[OK] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review

Rpmlint
-------
Checking: hawtdb-1.6-1.fc18.noarch.rpm
          hawtdb-javadoc-1.6-1.fc18.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Rpmlint (installed packages)
----------------------------
# rpmlint hawtdb hawtdb-javadoc
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

[OK] MUST: The package must be named according to the Package Naming Guidelines .

[OK] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption

[OK] MUST: The package must meet the Packaging Guidelines

[OK] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .

[OK] MUST: The License field in the package spec file must match the actual license. 

[OK] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]

[OK]MUST: The spec file must be written in American English.

[OK] MUST: The spec file for the package MUST be legible.

[OK] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

  CHECKSUM(SHA256) this package     : 4b89d1e04f375948e3fcffb13fbaede29c4f0e2f959606c9aa4e78b8a89dd862
  CHECKSUM(SHA256) upstream package : 4b89d1e04f375948e3fcffb13fbaede29c4f0e2f959606c9aa4e78b8a89dd862

[OK] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.

[OK] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

[OK] MUST: Packages must NOT bundle copies of system libraries.

[OK] MUST: A Fedora package must not list a file more than once in the spec file's %files listings.

[OK] MUST: Each package must consistently use macros.

[OK] MUST: The package must contain code, or permissable content.

[OK] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.

[OK] MUST: All filenames in rpm packages must be valid UTF-8.

[OK] MUST: Packages are noarch unless they use JNI

Java:
=========
[OK]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[OK]: Fully versioned dependency in subpackages, if present.
[OK]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[OK]: Javadoc subpackages should not have Requires: jpackage-utils
[OK]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[OK]: Bundled jar/class files should be removed before build

Maven:
=========
[OK]: Old add_to_maven_depmap macro is not being used
[OK]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[OK]: Package DOES NOT use %update_maven_depmap in %post/%postun
[OK]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

[OK]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[OK]: Sources can be downloaded from URI in Source: tag
[OK]: Reviewer should test that the package builds in mock.
[OK]: Buildroot is not present
[OK]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[OK]: Dist tag is present.
[OK]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[OK]: SourceX tarball generation or download is documented.
[OK]: SourceX is a working URL.
[OK]: Spec use %global instead of %define.

Should
========
[OK]: Package functions as described.
[OK]: Latest version is packaged.
[OK]: Package does not include license text files separate from upstream.
[OK]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[OK]: Sources can be downloaded from URI in Source: tag
[OK]: Reviewer should test that the package builds in mock.
[OK]: Buildroot is not present
[OK]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[OK]: Dist tag is present.
[OK]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[OK]: SourceX tarball generation or download is documented.
[OK]: SourceX is a working URL.
[OK]: Spec use %global instead of %define.

Final Status: APPROVED.
Comment 5 gil cattaneo 2013-06-08 04:32:03 EDT
New Package SCM Request
=======================
Package Name: hawtdb
Short Description: A Powerful Key/Value Store
Owners: gil
Branches: f18 f19
InitialCC: java-sig
Comment 6 Gwyn Ciesla 2013-06-10 07:57:43 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-06-10 11:03:59 EDT
hawtdb-1.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/hawtdb-1.6-1.fc19
Comment 8 Fedora Update System 2013-06-10 11:23:18 EDT
hawtdb-1.6-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/hawtdb-1.6-1.fc18
Comment 9 Fedora Update System 2013-06-11 05:03:08 EDT
hawtdb-1.6-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 10 Fedora Update System 2013-06-19 00:34:01 EDT
hawtdb-1.6-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 11 Fedora Update System 2013-06-29 14:12:18 EDT
hawtdb-1.6-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.